Как установить определенную версию пакета с помощью pip?

Возможный дубликат:
Установка определенных версий пакета в Pip

Я немного новичок в pip install и virtualenv в целом.

Я установил virtualenv на свой сервер, а также в локальную среду.

На сервере пакет django_modeltranslation-0.4.0_beta2 работает отлично.

Однако на моей локальной машине django_modeltranslation-0.5.0-alpha не работает вообще.

Обычно я просто устанавливаю его в virtual-env следующим образом:

$ source bin/active
(env)$ pip install django_modeltranslation

Это получает последнюю версию, которая теперь впервые вызывает проблемы с последней версией.

Итак, я удалил версию 5 alpha следующим образом:

(env)$ pip uninstall django_modeltranslation

Но теперь я не знаю, как снова получить рабочую версию 0.4.0 Beta. Я пробовал это, но не смог найти его:

(env)$ pip install django_modeltranslation-0.4.0_beta2
Downloading/unpacking django-modeltranslation-0.4.0-beta2
  Could not find any downloads that satisfy the requirement django-modeltranslation-0.4.0-beta2
No distributions at all found for django-modeltranslation-0.4.0-beta2

Я думаю, что должен быть какой-то способ, так как это весь смысл использования виртуального env.

+76
17 дек. '12 в 15:16
источник поделиться
1 ответ

Используйте ==:

pip install django_modeltranslation==0.4.0-beta2
+139
17 дек. '12 в 15:18
источник

Посмотрите другие вопросы по меткам или Задайте вопрос